wco.datamodel.wco.dec_dms._2

# Declaration

###
Related Doc: package _2

#### class Declaration extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Declaration
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Declaration()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### def getAcceptanceDateTime(): DeclarationAcceptanceDateTimeType

10. #### def getAdditionalDocument(): List[AdditionalDocument]

11. #### def getAdditionalInformation(): List[AdditionalInformation]

12. #### def getAgent(): Agent

13. #### def getAmendment(): List[Amendment]

14. #### def getAuthentication(): Authentication

15. #### def getAuthorisationHolder(): List[AuthorisationHolder]

16. #### def getBorderTransportMeans(): BorderTransportMeans

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def getConsignment(): Consignment

19. #### def getCurrencyExchange(): List[CurrencyExchange]

20. #### def getDeclarant(): Declarant

21. #### def getDeclarationOfficeID(): DeclarationDeclarationOfficeIDType

22. #### def getExitOffice(): ExitOffice

23. #### def getExporter(): Exporter

24. #### def getFunctionCode(): DeclarationFunctionCodeType

25. #### def getFunctionalReferenceID(): DeclarationFunctionalReferenceIDType

26. #### def getGoodsItemQuantity(): DeclarationGoodsItemQuantityType

27. #### def getGoodsShipment(): GoodsShipment

28. #### def getID(): DeclarationIdentificationIDType

29. #### def getInvoiceAmount(): DeclarationInvoiceAmountType

30. #### def getIssueDateTime(): DeclarationIssueDateTimeType

31. #### def getIssueLocationID(): DeclarationIssueLocationIdentificationIDType

32. #### def getLoadingListQuantity(): DeclarationLoadingListQuantityType

33. #### def getObligationGuarantee(): List[ObligationGuarantee]

34. #### def getPresentationOffice(): PresentationOffice

35. #### def getSpecificCircumstancesCodeCode(): DeclarationSpecificCircumstancesCodeCodeType

36. #### def getSubmitter(): Submitter

37. #### def getSupervisingOffice(): SupervisingOffice

38. #### def getTotalGrossMassMeasure(): DeclarationTotalGrossMassMeasureType

39. #### def getTotalPackageQuantity(): DeclarationTotalPackageQuantityType

40. #### def getTypeCode(): DeclarationTypeCodeType

41. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

42. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

43. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

44. #### final def notify(): Unit

    Definition Classes
      AnyRef

45. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

46. #### def setAcceptanceDateTime(value: DeclarationAcceptanceDateTimeType): Unit

47. #### def setAgent(value: Agent): Unit

48. #### def setAuthentication(value: Authentication): Unit

49. #### def setBorderTransportMeans(value: BorderTransportMeans): Unit

50. #### def setConsignment(value: Consignment): Unit

51. #### def setDeclarant(value: Declarant): Unit

52. #### def setDeclarationOfficeID(value: DeclarationDeclarationOfficeIDType): Unit

53. #### def setExitOffice(value: ExitOffice): Unit

54. #### def setExporter(value: Exporter): Unit

55. #### def setFunctionCode(value: DeclarationFunctionCodeType): Unit

56. #### def setFunctionalReferenceID(value: DeclarationFunctionalReferenceIDType): Unit

57. #### def setGoodsItemQuantity(value: DeclarationGoodsItemQuantityType): Unit

58. #### def setGoodsShipment(value: GoodsShipment): Unit

59. #### def setID(value: DeclarationIdentificationIDType): Unit

60. #### def setInvoiceAmount(value: DeclarationInvoiceAmountType): Unit

61. #### def setIssueDateTime(value: DeclarationIssueDateTimeType): Unit

62. #### def setIssueLocationID(value: DeclarationIssueLocationIdentificationIDType): Unit

63. #### def setLoadingListQuantity(value: DeclarationLoadingListQuantityType): Unit

64. #### def setPresentationOffice(value: PresentationOffice): Unit

65. #### def setSpecificCircumstancesCodeCode(value: DeclarationSpecificCircumstancesCodeCodeType): Unit

66. #### def setSubmitter(value: Submitter): Unit

67. #### def setSupervisingOffice(value: SupervisingOffice): Unit

68. #### def setTotalGrossMassMeasure(value: DeclarationTotalGrossMassMeasureType): Unit

69. #### def setTotalPackageQuantity(value: DeclarationTotalPackageQuantityType): Unit

70. #### def setTypeCode(value: DeclarationTypeCodeType): Unit

71. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

72. #### def toString(): String

    Definition Classes
      AnyRef → Any

73. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

74. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

75. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped